; Configuration file for RepRap Ormerod
; RepRapPro Ltd
;
M111 S0                                          ; Debug on
M550 PTricolour Mendel
M551 Pgdww1620
M540 P0xBE:0xEF:0xDE:0xAD:0xFE:0xED              ; Set the MAC address
M552 P192.168.1.55
M553 P255.255.255.0
M554 P192.168.1.254
M555 P2                                          ; Set output to look like Marlin
G21                                              ; Work in mm
G90                                              ; Absolute positioning
M83                                              ; Extrusions relative
M906 X800 Y1000 Z800 E800:800:800:800:800        ; Motor currents (mA)
;
T0
M563 P0 H0                                       ; Create tool 0 = Bed
M563 P1 D4                                       ; Create tool 1 = No Good
M563 P2 D0 H1                                    ; Create tool 2 = Color 1
M563 P3 D1 H1                                    ; Create tool 3 = Color 2
M563 P4 D2 H1                                    ; Create tool 4 = Color 3
M563 P5 D3 H1                                    ; Create tool 5 = Color 4
M563 P6 D4                                       ; Create tool 6 = Null Tool
G10 P0 X0 Y0 Z0 S0 R0                            ; Set tool 0 operating and standby temperatures
G10 P2 X-5.0 Y-5.0 Z0.0 S0 R0                    ; Set tool 2 operating and standby temperatures
G10 P3 X-5.0 Y-5.0 Z0.0 S0 R0                    ; Set tool 3 operating and standby temperatures
G10 P4 X-5.0 Y-5.0 Z0.0 S0 R0                    ; Set tool 4 operating and standby temperatures
G10 P5 X-5.0 Y-5.0 Z0.0 S0 R0                    ; Set tool 5 operating and standby temperatures
M92 X100.25 Y100.25 Z4001.50 E420.00             ; Set axis steps per unit
M208 X260 Y200 Z100                              ; set axis max travel
;
M201 X800 Y800 Z15 E1000                         ; acceleration tweaks for improved finish
M203 X15000 Y15000 Z200 E3600                    ; speed tweaks for improved finish
M210 X1200 Y1200 Z200                            ; Set Homing Speed
;
M558 P1                                          ; Use a modulated Z probe
;G31 P500 Z0.66                                   Set the probe height ABS and threshold
G31 P500 Z1.50                                   ; Set the probe height PLA and threshold
;
; Set Axis compensation
;
M557 P0 X50 Y25                                  ; Four... 
M557 P1 X50 Y185                                 ; ...probe points...
M557 P2 X210 Y185                                ; ...for bed...
M557 P3 X210 Y25                                 ; ...levelling
M556 S78 X0.0 Y0.40 Z0.35                        ; Put your axis compensation here

